<?php 
 
$wp_customize->add_section(
	'gallery_section',
	array(
		'title'         => __( 'Gallery Section', 'Luzuk' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
$wp_customize->add_setting(
	'gallery_section_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'gallery_section_disable',
		array(
			'settings'      => 'gallery_section_disable',
			'section'       => 'gallery_section',
			'label'         => __( 'Disable Section', 'Luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk' ),
				'off' => __( 'No', 'Luzuk' )
			)   
		)
	)
);
 

backgroundManager($wp_customize, 'gallery', 'gallery_section', $color='#e6eef7');

lzCustomLable($wp_customize, 'luzuk_sec_gallerysectionpadding', 'gallery_section', 'Section Padding');

$wp_customize->add_setting(
    'secgalleryTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'secgalleryTpadding',
    array(
        'settings'      => 'secgalleryTpadding',
        'section'       => 'gallery_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'secgalleryBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'secgalleryBpadding',
    array(
        'settings'      => 'secgalleryBpadding',
        'section'       => 'gallery_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'gallery_secanimaimg', 'gallery_section', 'Animated Image Setting');

// animation image
$wp_customize->add_setting( 'Gally_img_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'Gally_img_display', array( 'label' => 'Animated Image', 'section' => 'gallery_section', 'settings' => 'Gally_img_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) );

$wp_customize->add_setting(
        'gallery_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'gallery_title_heading',
            array(
                'settings'      => 'gallery_title_heading',
                'section'       => 'gallery_section',
                'label'         => __( 'Section Heading & Sub Heading', 'luzuk-premium' ),
            )
        )
    );    

    $wp_customize->add_setting(
        'gall_maintitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'OUR GALLERY', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'gall_maintitle',
        array(
            'settings'      => 'gall_maintitle',
            'section'       => 'gallery_section',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'gallsec_headclr', 'gallery_section', 'Section Heading Color ', '#303030');

    $wp_customize->add_setting(
        'gall_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse ultrices gravida. Risus commodo viverra maecenas accumsan lacus vel facilisis.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'gall_subtitle',
        array(
            'settings'      => 'gall_subtitle',
            'section'       => 'gallery_section',
            'type'          => 'textarea',
            'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'gallsec_subheadclr', 'gallery_section', 'Section Sub Heading Color ', '#6e7174');

$wp_customize->add_setting('gallery_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'gallery_section_lbl',
		array(
			'settings'		=> 'gallery_section_lbl',
			'section'		=> 'gallery_section',
			'label'			=> __( 'Note:', 'Luzuk' ),	
			'description'	=> __( 'Use Gallery Images Of Equal Height.{400px*450px}', 'Luzuk' ),
		)
	)
);

$wp_customize->add_setting('luzuk_gallery_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'luzuk_gallery_npp_heading',
		array(
			'settings'      => 'luzuk_gallery_npp_heading',
			'section'       => 'gallery_section',
			'label'         => __( 'Number Of Gallery Images To Show', 'luzuk' ),
		)
	)
);    

$wp_customize->add_setting('gallery_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 7));
$wp_customize->add_control(
	'gallery_npp_count',
	array(
		'settings'      => 'gallery_npp_count',
		'section'       => 'gallery_section',
		'type'          => 'select',
		'label'         => __( 'Number Of Gallery Images To Show', 'luzuk' ),
		'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
	)
);


$luzukGallerySingleChoice[] = 'Select';

for( $i = 1; $i <= 12; $i++ ){
	$wp_customize->add_setting(
		'rg_gallery_heading'.$i,
		array(
			'sanitize_callback' => 'luzuk_sanitize_text'
		)
	);
	$wp_customize->add_control(
		new luzuk_Customize_Heading(
			$wp_customize,
			'rg_gallery_heading'.$i,
			array(
				'settings'      => 'rg_gallery_heading'.$i,
				'section'       => 'gallery_section',
				'label'         => __( 'Gallery Image ', 'Luzuk' ).$i, 
			)
		)
	);
	if(is_array($luzukGallerySingleChoice)){
		$wp_customize->add_setting(
			'gallery_page'.$i,
			array(
				'sanitize_callback' => 'absint'
			)
		);
		$wp_customize->add_control(
			'gallery_page'.$i,
			array(
				'settings'      => 'gallery_page'.$i,
				'section'       => 'gallery_section',
				'type'=> 'select',
				'label'         => __( 'Select A Gallery Image', 'Luzuk' ),
				'choices' => $luzukGallerySingleChoice,
			)
		);
	}else{
		$wp_customize->add_setting('gallery_section_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
		$wp_customize->add_control(
			new luzuk_Info_Text( 
				$wp_customize,
				'gallery_section_lbl'.$i,
				array(
					'settings'		=> 'gallery_section_lbl'.$i,
					'section'		=> 'gallery_section',
					'label'			=> __( 'Note:', 'Luzuk' ),	
					'description'	=> __( '<strong>Changes will not reflect unless you select the gallery Image.</strong> <br/>Please add the gallery images from "Gallery menu" and then select gallery Image to show.', 'Luzuk' ),
				)
			)
		);
	}
}

lzCustomLable($wp_customize, 'luzuk_sec_galleryclr', 'gallery_section', 'Section Color');

//addColorPalatOption($wp_customize, 'gall_secimg_clr', 'gallery_section', 'Section Image Hover Color ', '#0c3c00');

addColorPalatOption($wp_customize, 'gall_secicnbrd_clr', 'gallery_section', 'Section Image Border Color ', '#fff');

addColorPalatOption($wp_customize, 'gall_secicnbg_clr', 'gallery_section', 'Section Icon BG Color ', '#fff');

addColorPalatOption($wp_customize, 'gall_secicn_clr', 'gallery_section', 'Section Icon Color ', '#1d62b8');



